envoy(1)

NAME
envoy - authentication agent controller

SYNOPSIS
envoy [options] [keys]

DESCRIPTION
envoy is the client side to envoyd(1). It connects to the daemon and gets all the information associated with the current running agent. It can then do things like add new keys to the agent or output shell code to inject these variables into a shell. This effectively allows a user to share a single long-running authentication agent between all shells and sessions in a clean and managed fashion that doesn't clutter user login sessions.

  Sourcing Environmental Variables
To connect/source the environmental variables...

    envoy -t ssh-agent [key ...]     # gpg-agent also supported
    source <(envoy -p)

OPTIONS

-h, --help
    Display help message.

-v, --version
    Display version information.

-d, --defer
    Defer adding keys until the next envoy call. Useful for using envoy with ssh-agent in scripts. A useful safety to launch envoy correctly when in a environment where it can't ask for keys.

-a, --add
    Add private key identities to the authentication agent using ssh-add(1). Note that when passing in keys, if they reside in ~/.ssh/, then just providing the filename is sufficient.

-k, --kill
    Terminate the running agent. Sends SIGTERM to the running agent.

-r, --reload
    For gpg-agent only, flush all cached passphrases and, if the program has been started with a configuration file, reload it. Sends RELOADAGENT over gpg-agent's socket.

-l, --list
    Lists fingerprints of all identities currently represented by the agent.

-u[PASSWORD], --unlock=[PASSWORD]
    For gpg-agent only, unlock the agent's keyrings. The password will be prompted for if its not optionally provided. This requires that allow-preset-passphrase is set in your gpg-agent.conf to work.

-p, --print
    Print out the environmental variables associated with the running agent. Useful for injecting these variables into the shell.

-s, --sh
    Print sh-style commands when outputting environmental variables.

-c, --csh
    Print csh-style commands when outputting environmental variables.

-f, --fish
    Print fish-style commands when outputting environmental variables.

-t AGENT, --agent=AGENT
    Set the agent type to launch. If this isn't set, its up to envoyd to decide which agent is launched. ssh-agent and gpg-agent are supported agents.

ENVIRONMENT

ENVOY_SOCKET
    Both envoyd and envoy use this environment variable for the location of the unix domain socket for communication. Prefixing the socket with a @ denotes an abstract namespace. The default socket is @/vodik/envoy.

AUTHORS
Simon Gomizelj <simongmzlj@gmail.com>

SEE ALSO
envoyd(1), envoy-exec(1), ssh-agent(1), ssh-add(1), gpg-agent(1)